Agent Batch
curl --request POST \
--url https://sdk.nimbleway.com/v1/agents/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"params": {
"keyword": "iphone 15"
}
},
{
"params": {
"keyword": "iphone 16"
}
},
{
"params": {
"keyword": "iphone 17"
}
}
],
"shared_inputs": {
"agent": "amazon_serp"
}
}
'import requests
url = "https://sdk.nimbleway.com/v1/agents/batch"
payload = {
"inputs": [{ "params": { "keyword": "iphone 15" } }, { "params": { "keyword": "iphone 16" } }, { "params": { "keyword": "iphone 17" } }],
"shared_inputs": { "agent": "amazon_serp" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{params: {keyword: 'iphone 15'}},
{params: {keyword: 'iphone 16'}},
{params: {keyword: 'iphone 17'}}
],
shared_inputs: {agent: 'amazon_serp'}
})
};
fetch('https://sdk.nimbleway.com/v1/agents/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"batch_size": 1,
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"state": "pending",
"output_url": "string",
"created_at": "2024-01-15T10:30:00Z",
"modified_at": "2024-01-15T10:35:00Z",
"account_name": "string",
"input": null,
"batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
"status_code": 200,
"api_type": "extract"
}
]
}{
"status": "failed",
"msg": "Invalid request parameters",
"error": "PARAMETERS_FAILED_JSON_SCHEMA_VALIDATION_ERROR",
"details": {
"schema_validation_errors": [
{
"instancePath": "",
"schemaPath": "#/required",
"keyword": "required",
"params": {
"missingProperty": "search_engine"
},
"message": "must have required property 'search_engine'"
}
]
}
}{
"status": "failed",
"msg": "trial expired"
}{
"status": "failed",
"msg": "Rate limit exceeded"
}{
"success": "false",
"task_id": "1ed1dbeb-8f34-4fd1-bb2d-a72bacae2ef3",
"message": "can't download the query response - please try again"
}Agent Batch
POST
/
v1
/
agents
/
batch
Agent Batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I